Skip to main content
GET
/
v2
/
kalshi
/
markets
Get Kalshi Markets
curl --request GET \
  --url https://api.predexon.com/v2/kalshi/markets \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.predexon.com/v2/kalshi/markets"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.predexon.com/v2/kalshi/markets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "markets": [
    {
      "ticker": "<string>",
      "event_ticker": "<string>",
      "title": "<string>",
      "status": "<string>",
      "outcomes": [
        {
          "label": "<string>",
          "predexon_id": "<string>",
          "bid": 123,
          "ask": 123
        }
      ],
      "event": {
        "event_ticker": "<string>",
        "series_ticker": "<string>",
        "title": "",
        "subtitle": ""
      },
      "market_id": "<string>",
      "yes_subtitle": "",
      "no_subtitle": "",
      "result": "<string>",
      "open_time": "<string>",
      "close_time": "<string>",
      "expected_expiration_time": "<string>",
      "settlement_time": "<string>",
      "determination_time": "<string>",
      "can_close_early": false,
      "strike_type": "<string>",
      "custom_strike": "<string>",
      "last_price": 123,
      "volume": 0,
      "open_interest": 0,
      "dollar_volume": 0,
      "dollar_open_interest": 0,
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  ],
  "pagination": {
    "limit": 123,
    "count": 123,
    "has_more": true,
    "pagination_key": "<string>"
  }
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
Fetch Kalshi prediction markets with filtering, sorting, and pagination. Does not include Multi Variate Event (MVE) markets like parlays.
Free & Unlimited. This endpoint does not count toward your monthly usage limits on any plan.
ConstraintValue
limit1–100 (default 20)
Prices are returned as decimals (0–1), not cents.

Authorizations

x-api-key
string
header
required

Query Parameters

status
enum<string> | null

Filter by status: open or closed

Available options:
open,
closed
min_price
integer | null

Minimum last price (0-100)

Required range: 0 <= x <= 100
max_price
integer | null

Maximum last price (0-100)

Required range: 0 <= x <= 100
min_open_interest
integer | null

Minimum dollar open interest

Required range: x >= 0
min_volume
integer | null

Minimum dollar volume

Required range: x >= 0
search
string | null

Search in title (minimum 3 characters)

Required string length: 3 - 100
ticker
string[] | null

Filter by ticker(s)

Maximum array length: 50
event_ticker
string[] | null

Filter by event ticker(s)

Maximum array length: 50
series_ticker
string[] | null

Filter by series ticker(s)

Maximum array length: 50
predexon_id
string[] | null

Filter by predexon ID(s)

Maximum array length: 50
sort
enum<string>
default:volume

Sort by

Available options:
volume,
open_interest,
price_desc,
price_asc,
close_time
limit
integer
default:20

Number of markets to return

Required range: 1 <= x <= 100
pagination_key
string | null

Cursor for next page (from previous response)

Response

Successful Response

Response for Kalshi markets list endpoint.

markets
KalshiMarket · object[]
required
pagination
CursorPagination · object
required

Cursor-based pagination for endpoints that don't support offset.